# IRnNtServer Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | GetStatus ([out, retval] ReNtServerStatus *pStatus)
HRESULT | GetSessionId ([out, retval] RtCSNID *pcsnidClient)
HRESULT | GetSharedSpace ([out, retval] IRsNode **ppSparedSpace)
HRESULT | GetAuthorizeStatus ([out] BSTR *pbstrAuthorizeServer,[out] BSTR *pbstrRsWebService,[out, retval] RtBOOL *pbEnabled)
HRESULT | RemoveClient ([in] RtCSNID csnidClient,[in] RtBYTE *pDisconnectData,[in] RtDWORD dwDisconnectDataSize)
HRESULT | DistributeModeratorCmdState ()
## Properties
BOOL * | SuitableForBackup`[get]`

## Detailed Description

RnNtServer object represent server for specific Shared Space. The object:

- Listening queries from RnNtClient object.
- Synchronize content of the assigned Shared Space.
- Manage text, voice communication.
- Handle session control commands.

## Member Function Documentation

HRESULT IRnNtServer::GetStatus | ( | [out, retval] ReNtServerStatus * | pStatus | ) |

Call to get the current server's status.

Parameters:

  | [out,retval] | pStatus - Returns current server status. See RnNtServer::ReNtServerStatus for possible values.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRnNtServer::GetSessionId | ( | [out, retval] RtCSNID * | pcsnidClient | ) |

Get session Id.

Parameters:

  | [out,retval] | pcsnidClient - Returns session Id if it is active.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRnNtServer::GetSharedSpace | ( | [out, retval] IRsNode ** | ppSparedSpace | ) |

Get focused Shared Space interface.

Parameters:

  | [out,retval] | ppSparedSpace - Returns IRsNode interface for the Shared Space node.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRnNtServer::GetAuthorizeStatus | ( | [out] BSTR * | pbstrAuthorizeServer,
|  | [out] BSTR * | pbstrRsWebService,
|  | [out, retval] RtBOOL * | pbEnabled |
| ) |  |  |

Call to get the authorization status.

Parameters:

  `[out]` | pbstrAuthorizeServer | - Returns authorization server address. The address could be local or remote.
  `[out]` | pbstrRsWebService | - Returns Rosetta Web Service address.
  | [out,retval] | pbEnabled - Returns TRUE if the authorization is activated.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRnNtServer::RemoveClient | ( | [in] RtCSNID | csnidClient,
|  | [in] RtBYTE * | pDisconnectData,
|  | [in] RtDWORD | dwDisconnectDataSize |
| ) |  |  |

Call to remove specific client.

Parameters:

  `[in]` | csnidClient | - Client's session Id you want to remove.
  `[in]` | pDisconnectData | - Specify disconnect data that will be send with this message.
  `[in]` | dwDisconnectDataSize | - Specify size of the pDisconnectData.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRnNtServer::DistributeModeratorCmdState | ( |  | ) |

Call to grab and distribute current Moderator settings to all clients with Moderator privileges in this session.

Returns:
  Standard HRESULT processing can be applied to the result.

## Property Documentation

BOOL * IRnNtServer::SuitableForBackup`[get]`

Call to detect if this server is ready for backup.

Parameters:

  | pbVal | - returns TRUE if this server is ready for backup (this parameter is optional)

Returns:
  S_OK - if it is ready, S_FALSE if it isn't

Remarks:
  Server is suitable for backup if nobody is logged in or all participants are inactive in Shared Space (but they could chat and speak)